﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using Sample145862;
using MVCSampleBrowser.Models;
namespace Sample145862.Controllers
{
    public class GridController : Controller
    {
        //
        // GET: /Grid/
        public ActionResult GridFeatures()
        {
            var DataSource = OrderRepository.GetAllRecords().ToList();
            ViewBag.datasource = DataSource;
            return View();
        }
        public ActionResult NormalUpdate(EditableOrder value)
        {
            OrderRepository.Update(value);
            return Json(value, JsonRequestBehavior.AllowGet);
        }

        public ActionResult NormalInsert(EditableOrder value)
        {
            OrderRepository.Add(value);
            return Json(value, JsonRequestBehavior.AllowGet);
        }

        public ActionResult NormalDelete(int key)
        {
            OrderRepository.Delete(key);
            return Json(key, JsonRequestBehavior.AllowGet);
        }
    }
}
